Page MenuHomePhabricator

Modernize query engines
Closed, ResolvedPublic

Description

Just filing this so that I don't forget about it. D13174 introduced some new infrastructure for PhabricatorCursorPagedPolicyAwareQuery subclasses. We should eventually modernize all PhabricatorCursorPagedPolicyAwareQuery subclasses in this way.

Event Timeline

joshuaspence raised the priority of this task from to Needs Triage.
joshuaspence updated the task description. (Show Details)
joshuaspence added a project: Infrastructure.
joshuaspence added a subscriber: joshuaspence.
eadler added a subscriber: eadler.Jun 24 2015, 1:24 AM
eadler added a project: Restricted Project.Jan 8 2016, 10:16 PM
eadler moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Jan 8 2016, 10:41 PM
epriestley closed this task as Resolved.Aug 22 2016, 6:46 PM
epriestley claimed this task.
epriestley added a subscriber: epriestley.

I'm just going to close this since we've converted most of the Query classes by now and are fixing the remaining ones as adjacent work happens. These changes were just minor improvements to code clarity and there's no particular urgency to fully modernizing things, nor do we get to delete a bunch of code once we're done or reduce maintenance costs in a global way or anything like that.